@grayColor: #555;
@lightGrayColor: #ddd;
@usernameColor: #95e759;
@locationColor: #7b9fcf;
@consoleFontSize: 16px;
@tutorialFontSize: 16px;
@consoleWidth: 50%;
@btnColor: #95e759;
@disabledBtnColor: @lightGrayColor;
@tutorialPanelHeight: 40px;


// region: fonts
@font-face {
  font-family: SFMono;
  src: url("./fonts/SFMono-Regular.otf") format("opentype");
}
@font-face {
  font-family: SFMono;
  font-weight: 700;
  src: url("./fonts/SFMono-Bold.otf") format("opentype");
}
@font-face {
  font-family: SFMono;
  font-weight: 200;
  src: url("./fonts/SFMono-Light.otf") format("opentype");
}
// endregion

* {
  box-sizing: border-box;
}

body {
  background: white;
  color: @grayColor;
  margin: 0;
  user-select: none;
  //padding-bottom: 20px;
  cursor: default;
}

.holder {
  display: flex;
}

.console {
  position: fixed;
  left: 0;
  top: 0;
  width: @consoleWidth;
  height: 100%;
  overflow: auto;
  font-family: SFMono, monospace;
  font-size: @consoleFontSize;
}

.console-input {
  word-break: break-all;
  &::selection {
    background: @grayColor;
    color: white;
  }
}

.console-input_username {
  display: inline;
  font-weight: 700;
  color: @usernameColor;
  &::selection {
    color: white;
    background: @usernameColor;
  }
}

.console-input_location {
  display: inline;
  font-weight: 700;
  color: @locationColor;
  &::selection {
    color: white;
    background: @locationColor;
  }
}

.console-input_label {
  display: inline;
}

.console-input_value {
  display: inline;
  white-space: pre-wrap;
  .symbol {
    display: inline-block;
    &::selection {
      background: @grayColor;
      color: white;
    }
  }
  .current {
    display: inline-block;
    background: @grayColor;
    color: white;
    animation: blinking-cursor 1.2s infinite;
    &::selection {
      background: none;
    }
  }
  &::selection {
    background: @grayColor;
    color: white;
  }
}

@keyframes blinking-cursor {
  0%, 50%, 100% {
    background: white;
    color: @grayColor;
  }
  1%, 49% {
    background: @grayColor;
    color: white;
  }
}

.scroll-styling::-webkit-scrollbar-track {
  background: none;
}

.scroll-styling::-webkit-scrollbar {
  width: 6px;
  height: 6px;
  background: none;
}

.scroll-styling::-webkit-scrollbar-thumb {
  background-color: @lightGrayColor;
  border-radius: 3px;
}

.tutorial {
  width: 100%-@consoleWidth;
  right: 0;
  top: 0;
  position: fixed;
  height: 100%;
  font-family: sans-serif;
  font-size: @tutorialFontSize;
  display: flex;

  hr {
    border: 1px solid #358ccb;
  }
}

.tutorial-text {
  overflow: auto;
  padding: 0 10px;
  margin: 0 0 @tutorialPanelHeight 0;
}

.tutorial-panel {
  position: absolute;
  padding: 5px;
  bottom: 0;
  height: @tutorialPanelHeight;
  display: flex;
  width: 100%;
  margin: 0;
}

.tutorial-panel_pagination {
  flex: 3;
  text-align: center;
  line-height: 30px;
}

.tutorial-panel_btn {
  flex: 1;
}

.tutorial-info {
  margin-top: 50%;
  transform: translateY(-50%) translateX(-50%);
  margin-left: 10px;
  margin-right: 10px;
  padding: 10px 10px 20px 10px;
  text-align: center;
  left: 50%;
  position: absolute;
  border: 1px solid @btnColor;
}

.tutorial-info_title {
  text-transform: uppercase;
  margin-bottom: 10px;
}

.btn {
  color: @btnColor;
  padding: 5px 10px;
  cursor: pointer;
  border: 1px solid;
  text-align: center;
  font-weight: 700;

  &:hover:not(.btn_disabled) {
    background: @btnColor;
    color: white;
  }
}

.btn_disabled {
  font-weight: 400;
  color: @disabledBtnColor;
  cursor: default;
}

code[class*="language-"], pre[class*="language-"] {
  font-family: SFMono, monospace;
}